:mod:`smoke_zephyr.argparse_types` --- Extra argparse types
===========================================================

.. module:: smoke_zephyr.argparse_types
   :synopsis: Extra argparse types

Functions
---------

.. autofunction:: smoke_zephyr.argparse_types.bin_b64_type

.. autofunction:: smoke_zephyr.argparse_types.bin_hex_type

.. autofunction:: smoke_zephyr.argparse_types.dir_type

.. autofunction:: smoke_zephyr.argparse_types.email_type

.. autofunction:: smoke_zephyr.argparse_types.log_level_type

.. autofunction:: smoke_zephyr.argparse_types.port_type

.. autofunction:: smoke_zephyr.argparse_types.timespan_type

Classes
-------

.. autoclass:: smoke_zephyr.argparse_types.IntRange
   :members:
   :special-members: __init__
   :undoc-members:

.. autoclass:: smoke_zephyr.argparse_types.RegexType
   :members:
   :special-members: __init__
   :undoc-members:
